/**
 * The text model for our collation tool.
 * 
 * CollateX basically requires a {@link eu.interedition.collatex.Witness} that
 * consists of a list of {@link eu.interedition.collatex.Token}s. The tokens
 * within one witness must be comparable, they may be equal, before or after one
 * another. Note this is some sort of internal comparison.
 * 
 * We will (some time in the future) support different witness types which use
 * different tokenizers (and hence different tokens), e.g., a simple plain-text
 * tokenizer or a TEI tokenizer.
 * 
 * We will also need to define an own {@link java.util.Comparator} that works
 * with our tokens and that will compare tokens from <em>different</em>
 * witnesses. This comparator will make use of our own user-definable equality
 * table that will define comparison rules between tokens, either local or
 * global.
 * 
 * For the global comparison, the token will be required to bear some sort of
 * positional information that can be serialized to the comparison table.
 */
package info.textgrid.lab.collatex.model.text;

